PDA

View Full Version : v4 or v5 server on Mac OS 10.2.8



David Ferrington
2003-11-21, 17:40
Im still looking for help on this * Ive tried a number of options to get
this to install and RUN either v4 or v5 * neither appear to be working
correctly and I have a rather screwed up installation now.

Ive tried installing v4 and v5, both as me (an admin login) and root
Ive tried to delete the software as root.

I now have the situation where it appears to be running v4 as me, but
accessing roots iTunes profile.

I really want to clean it all out and start again.

Im not sure how much of a problem OS 10.2.8 is causing to the install *
maybe that stopping it installing correctly, although the install says its
ok.

This is becoming frustrating.....



On 20/11/03 2:33 pm, "David Ferrington" <David (AT) alphadene (DOT) co.uk> wrote:

> Good day to you all, I have a problem
>
> I lost my entire Mac OS 10.2.8 drive and install, so in rebuilding, tried
> installing v5 of server, it doesn't appear to work as well as the previous
> version, which I think was v4.
> Looks like it only understands about one player or at least only seems to
> support one player at restart - I have to powercycle the other players to
> get them to connect.
>
> I've tried to reinstall v4 (having found a copy of the installer locally),
> but not convinced it has installed correctly over v5
>
> How do I totally uninstall both servers and start again from scratch?
>
> And is there a later v4 than 4.1b1 and where is it?
>
--
Why should I fear death? If I am, death is not. If death is, I am not. Why
should I fear that which cannot exist when I do?
-Epicurus, philosopher (c. 341-270 BCE)

Craig Brannan
2003-11-21, 18:56
There may be an easier and/or more official way to do this but here's
all the slim files I've ever had to touch on OSX. Your mileage may
vary...

Before you delete anything - open the Slim preference pane and set
"Automaticaly Start" to NEVER. This should disable (maybe remove?) any
startup scripts that will look for or try to start the server at boot
time.

Then if you delete "SLIMP3 Server.prefPane" from the
/Library/PreferencePanes that should get rid of your 4.x install

Then if you delete "SlimServer.prefPane" from /Library/PreferencePanes
- that should get rid of your 5.x install

You might want to also want to remove any ".Slimp3.pref" files. This
file is hidden - and on my system there's only one - in the home
folder of the installing user. But if you've done installs as more than
one user you may have multiple copies. This file won't do any harm on
it's own without a server app accessing it - but you did ask about
removing all the files.

There will also be a SlimDevices folder under ~/Library that can be
used to contain plugins, skins, strings etc... Again, you may have
multiple of these if you've done installs as different users. Check in
the Library folder inside each users root folder.

There might be a few extraneous things left after removing the above...
but like I mentioned earlier - these are all the files/folders that
I've ever had to be concerned with...

you could also do a search from the finder for slim or slimp3 or
slimserver etc to see if there's anything lingering.

Craig



On Nov 21, 2003, at 7:40 PM, David Ferrington wrote:

> Im still looking for help on this Ive tried a number of options to
> get this to install and RUN either v4 or v5 neither appear to be
> working correctly and I have a rather screwed up installation now.
>
> Ive tried installing v4 and v5, both as me (an admin login) and root
> Ive tried to delete the software as root.
>
> I now have the situation where it appears to be running v4 as me, but
> accessing roots iTunes profile.
>
> I really want to clean it all out and start again.
>
> Im not sure how much of a problem OS 10.2.8 is causing to the install
> maybe that stopping it installing correctly, although the install
> says its ok.
>
> This is becoming frustrating.....
>
>
>
> On 20/11/03 2:33 pm, "David Ferrington" <David (AT) alphadene (DOT) co.uk> wrote:
>
> > Good day to you all, I have a problem
> >
> > I lost my entire Mac OS 10.2.8 drive and install, so in rebuilding,
> tried
> > installing v5 of server, it doesn't appear to work as well as the
> previous
> > version, which I think was v4.
> > Looks like it only understands about one player or at least only
> seems to
> > support one player at restart - I have to powercycle the other
> players to
> > get them to connect.
> >
> > I've tried to reinstall v4 (having found a copy of the installer
> locally),
> > but not convinced it has installed correctly over v5
> >
> > How do I totally uninstall both servers and start again from scratch?
> >
> > And is there a later v4 than 4.1b1 and where is it?
> >
> --
> Why should I fear death? If I am, death is not. If death is, I am not.
> Why
> should I fear that which cannot exist when I do?
> -Epicurus, philosopher (c. 341-270 BCE)
>